Intersection point

is there any way to find the intersection point of two location curves. I developed as shown below

Version:0.9 StartHTML:00000097 EndHTML:00007823 StartFragment:00000199 EndFragment:00007785 # import libraries
import clr
clr.AddReference(‘RevitServices’)
clr.AddReference(‘RevitAPI’)
clr.AddReference(‘RevitAPIUI’)
from RevitServices import *
from RevitServices.Persistence import DocumentManager
from Autodesk.Revit.DB import *
from Autodesk.Revit.DB.Structure import *
from Autodesk.Revit.UI import *
from Autodesk.Revit.UI.Selection import *
doc = DocumentManager.Instance.CurrentDBDocument
uidoc = DocumentManager.Instance.CurrentUIApplication.ActiveUIDocument

def itof(inc):
ft = (inc / 12.00)
return ft

#s=itof(16)

def ifduct(elem):

w = elem.GetParameters(“Width”)[0].AsDouble()
h = elem.GetParameters(“Height”)[0].AsDouble()
o = elem.GetParameters(“Offset”)[0].AsDouble()
level = elem.ReferenceLevel
loc = elem.Location.Curve
opWid = w + (itof(2))
opHei = h + (itof(2))
return loc
“”"
cr = FilteredElementCollector(doc).OfClass(FamilySymbol).ToElements()
sym = cr[193]#.Family

t = Transaction(doc, “place opening”)
t.Start()
dc = doc.Create.NewFamilyInstance(pt1, sym,level,StructuralType.NonStructural)
dc.LookupParameter(“duct_width”).Set(opWid)
dc.LookupParameter(“duct_height”).Set(opHei)
dc.LookupParameter(“Offset”).Set(o)
dcid = dc.Id
t.Commit()
“”"

obj = uidoc.Selection.PickObject(ObjectType.Element, “Select duct or pipe”)
objid = obj.ElementId
pt1 = obj.GlobalPoint
sel = doc.GetElement(obj)
cat = sel.Category.Name

if cat == “Ducts”:
s=ifduct(sel)
else:
pass

collector = FilteredElementCollector(doc).OfClass(RevitLinkInstance)

li=
lidoc =
for i in collector:
lid = i.GetLinkDocument()
linkName = i.Name
li.append(linkName)
lidoc.append(lid)

wallCollector = FilteredElementCollector(lidoc[0]).OfCategory(BuiltInCategory.OST_Walls).WhereElementIsNotElementType()#.ToElements()

wallLocation =

for ii in wallCollector:
wlo = ii.Location#.Curve
wallLocation.append(wlo)

ei = ElementIntersectsElementFilter(sel)

OUT =sel,dir(sel)#s,wallLocation#,loc#[0].GetType(),dir(wallLocation[0])